package com.younike.service.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.younike.common.core.page.PageParam;
import com.younike.service.pojo.Order;

import java.util.List;

/**
 * 订单Service接口
 *
 * @author dail
 * @date 2022-05-24
 */
public interface IOrderService extends IService<Order>{


    /**
     * 重写分页器
     * @param pageParam
     * @return
     */
    public PageParam<Order> page(PageParam<Order> pageParam);

    /**
     * jizb
     * @param storeId 商家id
     * @param month 月份
     * @param tagType tag类型
     * @return
     */
    public List<Order> storeOrderList(String storeId, String month, String tagType);

}
